Subject: bug#819: closed by Eli Zaretskii <[email-masked]> (bug#819: 23.0.60; group and owner "Everyone" - what's that about?)

From: "Drew Adams" <[email-masked]>
Date: Fri, 29 Aug 2008 13:07:27 -0700

> I closed it because it complained about Emacs showing "Everyone" as a
> group name.  "Everyone" is a legitimate Windows group name, so the bug
> as submitted is actually expected behavior on Windows.

What I reported (or meant to report) was about the top level (c:\) being treated
different from other levels in Dired: the fact that `..' in a directory just
under the top level doesn't show the same properties as elsewhere.

I might not have made that clear enough, but this is the problem I see: treating
`..' differently in this one case.

> If you want to complain about something else, please submit another
> bug report, and please change the description of a bug; telling that
> "Everyone" is some kid of artefact is simply incorrect, and I can do
> nothing but close such bugs.

Bug #819 and its subject line are adequate for this bug, IMO - no need to file
another bug. I've clarified what I see. If you want to fix it, OK; if not, OK.

> > You supposed that I had NTFS, which I do not.
> 
> No, I supposed you had FAT32.  I don't expect "Everyone" anywhere
> else.  I just didn't explain myself clearly.

I too didn't explain myself clearly enough. Hopefully, it's clear now.

> > It is a bug that `..' is treated differently from other 
> > Dired entries, and only
> > when it represents the top-level directory (e.g. c:\).
> 
> That's not what the code does.  There's no special case for `..'.

I hope my description is clear now. I'm looking at the Dired entries, not at the
code.

> > It is only when `..' stands for the top-level directory 
> > that `Everyone Everyone' appears. In all other cases, all Dired
> > entries, including `..' entries, list the
> > owner as my user name and the group as `None'.
> 
> I don't see that on FAT32 volume to which I have access.

Attached is a screenshot, in case it helps.